com.google.cloud.dataflow.sdk

## Enum PipelineResult.State

- java.lang.Object
- - java.lang.Enum<PipelineResult.State>
  - - com.google.cloud.dataflow.sdk.PipelineResult.State

All Implemented Interfaces:
  Serializable, Comparable<PipelineResult.State>

Enclosing interface:
  PipelineResult

    public static enum PipelineResult.State
    extends Enum<PipelineResult.State>

Named constants for common values for the job state.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CANCELLED` The job has been explicitly cancelled.
`DONE` The job has successfully completed.
`FAILED` The job has failed.
`RUNNING` The job is currently running.
`STOPPED` The job has been paused, or has not yet started.
`UNKNOWN` The job state could not be obtained or was not specified.
`UPDATED` The job has been updated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `hasReplacementJob()`
`boolean` `isTerminal()`
`static PipelineResult.State` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PipelineResult.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final PipelineResult.State UNKNOWN

The job state could not be obtained or was not specified.

#### STOPPED

    public static final PipelineResult.State STOPPED

The job has been paused, or has not yet started.

#### RUNNING

    public static final PipelineResult.State RUNNING

The job is currently running.

#### DONE

    public static final PipelineResult.State DONE

The job has successfully completed.

#### FAILED

    public static final PipelineResult.State FAILED

The job has failed.

#### CANCELLED

    public static final PipelineResult.State CANCELLED

The job has been explicitly cancelled.

#### UPDATED

    public static final PipelineResult.State UPDATED

The job has been updated.

### Method Detail

#### values

    public static PipelineResult.State[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PipelineResult.State c : PipelineResult.State.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PipelineResult.State valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isTerminal

    public final boolean isTerminal()

Returns:
  `true` if the job state can no longer complete work.

#### hasReplacementJob

    public final boolean hasReplacementJob()

Returns:
  `true` if this job state indicates that a replacement job exists.